Name:           perl-Test-WWW-Mechanize-Catalyst
Version:        0.42
Release:        1%{?dist}
Summary:        Test::WWW::Mechanize for Catalyst
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-WWW-Mechanize-Catalyst/
Source0:        http://www.cpan.org/authors/id/L/LB/LBROCARD/Test-WWW-Mechanize-Catalyst-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(Catalyst)             >= 5.00
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::WWW::Mechanize) >= 1.14
BuildRequires:  perl(WWW::Mechanize)       >= 1.30

# optional tests...
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)

# not automagically picked up due to 'eval "use ..."' construct
Requires:       perl(Catalyst) >= 5.00

%description
Catalyst is an elegant MVC Web Application Framework. Test::WWW::Mechanize
is a subclass of WWW::Mechanize that incorporates features for web
application testing. The Test::WWW::Mechanize::Catalyst module meshes the
two to allow easy testing of Catalyst applications without starting up a
web server.

%prep
%setup -q -n Test-WWW-Mechanize-Catalyst-%{version}

find t/ -type f -name '*.t' -exec perl -pi -e 's|^#!perl|#!/usr/bin/perl|' {} +

# Filter unwanted Provides:
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
  sed -e '/perl(Catty)/d; /perl(ExternalCatty)/d'
EOF

%define __perl_provides %{_builddir}/Test-WWW-Mechanize-Catalyst-%{version}/%{name}-prov
chmod +x %{__perl_provides}


# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(Cwd)/d; /perl(MIME::Base64)/d'
EOF

%define __perl_requires %{_builddir}/Test-WWW-Mechanize-Catalyst-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} +
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES README t/ 
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jul 01 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.42-1
- update to 0.42

* Tue Mar 18 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.41-2
- bump

* Mon Mar 17 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.41-1
- Specfile autogenerated by cpanspec 1.74.
